<template>
  <div>
    <LHeader :text="text"></LHeader>
    
    <!-- 内容列表 -->
    <div class="con-list" @touchmove="showIndex = null">
      <van-cell-group
        inset
        v-for="(item, index) in messageList"
        :key="index"
        @click="touchstart(index, item)"
      >
        <van-row gutter="">
          <van-col span="5">所属项目:</van-col>
          <van-col span="19">{{ item.proId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">隐患级别:</van-col>
          <van-col span="19">{{ item.hdLev }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">适用范围:</van-col>
          <van-col span="19">{{ item.hdRange }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">隐患类型:</van-col>
          <van-col span="19">{{ item.hdType }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">发现时间:</van-col>
          <van-col span="19">{{ item.hdDiscoveryTime }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="5">状态:</van-col>
          <van-col span="19">{{ item.taskName }}</van-col>
        </van-row>

        <!-- 长按显示遮罩层 -->
        <van-overlay :show="showIndex == index">
          <div class="wrapper" @click.stop ="showIndex = null">
            <van-button round type="primary" @click="goSubmit(item)"
              >上报</van-button
            >
            <van-button round type="warning" @click="goDelete(item)"
              >删除</van-button
            >
          </div>
        </van-overlay>
      </van-cell-group>
    </div>
    <!-- 暂无数据 -->
    <div
      style="width: 100%;text-align: center; font-size: .48rem;position: fixed; top: 30%;"
      v-if="isHaveNews"
    >
      暂无数据
    </div>
  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { dangerReturn, dangerReturnDel } from "@/service/danger";
export default {
  components: {
    LHeader: LHeader
  },
  data() {
    return {
      text: "上报退回",
      searchValue: "",
      isHaveNews: false,
      messageList: [],
      Loop: "", // 定时器
      showIndex: null // 是否显示遮罩层
    };
  },
  created() {
    this.postList();
  },
  methods: {
    postList() {
      this.$toast.loading({
        message: "加载中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      dangerReturn("/hdreport/list")
        .then(res => {
          this.$toast.clear();
          this.messageList = res.rows;
           // 判断有无数据返回
          if (this.messageList.length == 0) {
            this.isHaveNews = true;
          }
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("加载失败,请稍后再试");
        });
    },

    onSearch(val) {
    },
    touchstart(index, item) {
      if (this.showIndex != null) {
        this.showIndex = null;
        return
      }
       this.showIndex = index;
    },

    // 上报
    goSubmit(data) {
      this.$router.push({
        name: "add-danger",
        params: {
          status: "退回",
          taskId: data.taskId
        }
      });
       // 存到缓存里 如果路由跳转或者是缓存中有 就是隐患上报退回
    localStorage.setItem('dangerAddTaskId',data.taskId)
      this.showIndex = null;
    },
    // 删除
    goDelete(data) {
      this.$toast.loading({
        message: "删除中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      dangerReturnDel(`/hdreport/delete/${data.taskId}`)
        .then(res => {
          this.$toast.clear();
          this.$toast.success({
            message: "删除成功",
            duration: 2000
          });
          this.postList();
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("删除失败,请稍后再试");
        });
      this.showIndex = null;
    }
  }
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
.con-list {
  padding: 10px 10px 0.533333rem;
  background-color: #f0f1f5;
  .van-cell-group--inset {
    margin: 0;
    margin-bottom: 10px;
    padding: 10px;
    font-size: 13px;
    position: relative;
    .van-row {
      margin-bottom: 0.133333rem;
      line-height: 0.64rem;
    }
    .van-overlay {
      position: absolute;
      .wrapper {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;
      }
    }
  }
}
</style>
